#ifndef __ECHOING_RESILIENCE_H__
#define __ECHOING_RESILIENCE_H__

#include "potion.h"

class echoing_resilience final: public potion {
        static const int GAIN_HEALTH = 7;
        static const int LOSE_ATK    = 10;
        static const int LOSE_DEF    = 10;
        static const int DURATION    = 20;
public:
        echoing_resilience(const position &pos);
        void apply(const enum race &race, int &HP, int &ATK, int &DEF,
                   fraction &base_hit_rate) override;
        int get_priority() const override;
        const char *get_name() const override;
};

#endif
